## AgsOscController

AgsOscController — base OSC controller

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_OSC_CONTROLLER_GET_OBJ_MUTEX()
AgsOscController * | ags_osc_controller_new ()

## Properties

char * | context-path | Read / Write
AgsOscServer * | osc-server | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsOscController
            ├── AgsOscActionController
            ├── AgsOscConfigController
            ├── AgsOscExportController
            ├── AgsOscFrontController
            ├── AgsOscInfoController
            ├── AgsOscMeterController
            ├── AgsOscNodeController
            ├── AgsOscRenewController
            ╰── AgsOscStatusController

## Includes

    #include <ags/audio/osc/controller/ags_osc_controller.h>

## Description

The AgsOscController is a base object to implement OSC controllers.

## Functions

### AGS_OSC_CONTROLLER_GET_OBJ_MUTEX()

    #define AGS_OSC_CONTROLLER_GET_OBJ_MUTEX(obj) (&(((AgsOscController *) obj)->obj_mutex))

### ags_osc_controller_new ()

    AgsOscController *
    ags_osc_controller_new ();

Instantiate new AgsOscController

#### Returns

the AgsOscController

Since: 3.0.0

## Property Details

### The `“context-path”` property

      “context-path”             char *

The context path provided.

Owner: AgsOscController

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“osc-server”` property

      “osc-server”               AgsOscServer *

The assigned AgsOscServer

Owner: AgsOscController

Flags: Read / Write

Since: 3.0.0